postgresql-libpq-0.11.0.0: low-level binding to libpq

Copyright | (c) 2010 Grant Monroe (c) 2011 Leon P Smith
License | BSD3
Safe Haskell | Safe-Inferred
Language | Haskell2010

Database.PostgreSQL.LibPQ.Internal

Description

This module exports the data constructor for the database connection object so that people may create their own foreign bindings to libpq functions that may not exist yet in vanilla postgresql-libpq.

Synopsis

- data Connection = Conn !(ForeignPtr PGconn) !(MVar NoticeBuffer)
- withConn :: Connection -> (Ptr PGconn -> IO b) -> IO b
- data PGconn
- data CNoticeBuffer
- type NoticeBuffer = Ptr CNoticeBuffer

# Documentation

data Connection Source #

`Connection` encapsulates a connection to the backend.

Constructors

Conn !(ForeignPtr PGconn) !(MVar NoticeBuffer) |

#### Instances

Instances details

Eq Connection Source # |
Instance details Defined in Database.PostgreSQL.LibPQ.Internal Methods (==) :: Connection -> Connection -> Bool Source # (/=) :: Connection -> Connection -> Bool Source #

withConn :: Connection -> (Ptr PGconn -> IO b) -> IO b Source #

data PGconn Source #

data CNoticeBuffer Source #

type NoticeBuffer = Ptr CNoticeBuffer Source #